Announcement Announcement Module
Collapse
No announcement yet.
Maven usage Page Title Module
Move Remove Collapse
X
Conversation Detail Module
Collapse
  • Filter
  • Time
  • Show
Clear All
new posts

  • Maven usage

    Any plans for using maven? There are some very nice plugins? Hope the release will at least be added to a maven repository.

  • #2
    There are no plans to use Maven directly for building Spring BlazeDS Integration, but we do publish Maven artifacts for all of our releases. M1 is available in the SpringSource bundle repository:

    http://s3browse.com/explore/reposito...flex/1.0.0.M1/

    Comment


    • #3
      good enough, for now ... :-)

      Comment


      • #4
        What is the correct pom file entry for spring-blazeds? Here is what I am using.

        <dependency>
        <groupId>org.springframework.flex</groupId>
        <artifactId>org.springframework.flex</artifactId>
        <version>1.0.0.M1</version>
        </dependency>

        This does not seem to work. Maven complains that the artifact cannot be found. I know its not the repository, because the following entry for blazeds works:

        <dependency>
        <groupId>com.adobe.flex</groupId>
        <artifactId>com.springsource.flex.messaging</artifactId>
        <version>${springSourceBlazeDs}</version>
        </dependency>
        <dependency>
        <groupId>com.adobe.flex</groupId>
        <artifactId>com.springsource.flex.messaging.common </artifactId>
        <version>${springSourceBlazeDs}</version>
        </dependency>
        <dependency>
        <groupId>com.adobe.flex</groupId>
        <artifactId>com.springsource.flex.messaging.servic es.http</artifactId>
        <version>${springSourceBlazeDs}</version>
        </dependency>
        <dependency>
        <groupId>com.adobe.flex</groupId>
        <artifactId>com.springsource.flex.messaging.servic es.remoting</artifactId>
        <version>${springSourceBlazeDs}</version>
        </dependency>

        Thanks,

        Duncan

        Comment


        • #5
          Correction, it was a repository issue.

          In order to grab all the required files you will need the following repositories.

          <repository>
          <id>com.springsource.repository.bundles.release</id>
          <name>SpringSource Enterprise Bundle Repository - Release Bundle Releases</name>
          <url>http://repository.springsource.com/maven/bundles/release</url>
          </repository>
          <repository>
          <id>com.springsource.repository.bundles.mileston e</id>
          <name>SpringSource Enterprise Bundle Repository - Milestone Bundle Releases</name>
          <url>http://repository.springsource.com/maven/bundles/milestone</url>
          </repository>
          <repository>
          <id>com.springsource.repository.bundles.external </id>
          <name>SpringSource Enterprise Bundle Repository - External Bundle Releases</name>
          <url>http://repository.springsource.com/maven/bundles/external</url>
          </repository>


          DKD

          Comment

          Working...
          X